#include <bits/stdc++.h>
#include <code.h>
using namespace std;

vector<pair<int, int>>ZapisiTacke(int n){
    vector<pair<int,int>>a(n+1);
    for(int i=2;i<n;i++){
        a[i]={1,0};
    }
    a[1]={-1,0};
    a[n]={0,1};
    return a;
}

vector<int>Resi(int n, int q){
    int ans=Pitaj(1,2,n);
    vector<int>p(n+1);
    if(ans==1){
        for(int i=1;i<=n;i++)p[i]=i;
    }
    else{
        for(int i=1;i<=n;i++)p[i]=n-i+1;
    }
    return p;

}